Get all team-level API keys
curl --request GET \
--url https://api.wirespeed.co/v1/team/api-keys \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.wirespeed.co/v1/team/api-keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.wirespeed.co/v1/team/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"teamId": "<string>",
"userId": "<string>",
"expiration": "<string>",
"role": "ADMIN",
"name": "<string>",
"createdAt": "<string>",
"lastUsed": "<string>"
}
]{
"message": "<string>",
"statusCode": 123
}Team
Get all team-level API keys
GET
/
v1
/
team
/
api-keys
Get all team-level API keys
Authorizations
Team API key sent as a Bearer token. Create a key in Wirespeed under Settings → Team. See https://docs.wirespeed.co/api-reference/authentication.
Response
Unique identifier for the API key
ID of the team this API key belongs to
ID of the user who created this API key
Expiration date and time for the API key
Role permissions assigned to this API key
Available options:
ADMIN, ANALYST, VIEWER Name assigned to the API key
Timestamp when the API key was created
Timestamp when the API key was last used

